Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.decisiontree
Class EvaluationMetric

    java.lang.Object
      com.ibm.able.beans.decisiontree.EvaluationMetric

public class EvaluationMetric
extends java.lang.Object

class EvaluationMetric

Method Summary
`float` | `chiSquare()` chiSquare
`float` | `contextInfo()` contextInfo
`float` | `gainRatio(int feat, int sampleSize, int[] countClass, int[][] countClassF)` gainRatio
`float` | `gini()` gini
`float` | `intraInterDist()` intraInterDist
`float` | `laplace()` laplace
`float` | `log2(double n)` log2
`float` | `relief()` relief
`int` | `selectBestFeat(int first, int last, boolean[] testedFeats)` selectBestFeat

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### selectBestFeat

    public int selectBestFeat(int first,
                              int last,
                              boolean[] testedFeats)

  selectBestFeat

### gainRatio

    public float gainRatio(int feat,
                           int sampleSize,
                           int[] countClass,
                           int[][] countClassF)

  gainRatio

### chiSquare

    public float chiSquare()

  chiSquare

### gini

    public float gini()

  gini

### laplace

    public float laplace()

  laplace

### relief

    public float relief()

  relief

### contextInfo

    public float contextInfo()

  contextInfo

### intraInterDist

    public float intraInterDist()

  intraInterDist

### log2

    public float log2(double n)

  log2

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005